package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.PlatformArea;
import com.bizmatics.model.vo.PlatformAreaVo;
import com.bizmatics.model.vo.SiteDeviceList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-09-29
 */
public interface PlatformAreaMapper extends CrudMapper<PlatformArea> {

    List<PlatformAreaVo> siteCount(@Param("platformAreaName") String platformAreaName);

    List<PlatformAreaVo> deviceCount(@Param("platformAreaName") String platformAreaName);

    List<SiteDeviceList> deviceList(@Param("stationAreaId") int stationAreaId);

}
