package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.model.DevopsWorkOrder;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.vo.DevopsWorkOrderDetailsVo;
import com.bizmatics.model.vo.DevopsWorkOrderListVo;
import com.bizmatics.model.vo.DevopsWorkOrderVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2021-10-21
 */
public interface DevopsWorkOrderService extends CrudService<DevopsWorkOrder> {
    void devopsWorkOrderAdd(DevopsWorkOrderVo devopsWorkOrderVo);

    void devopsWorkOrderUpdate(DevopsWorkOrderVo devopsWorkOrderVo);

    void devopsWorkOrderDel(Integer id);

    void devopsOrderDeviceDel(Integer inspectionDeviceId);

    void devopsOrderInspectorsDel(Integer inspectorsId);

    CommonPage<DevopsWorkOrderListVo> devopsWorkOrderList(Integer generationMode, Integer workOrderStatus,Integer siteId, Integer inspectorsId, Integer size, Integer current);

    List<DevopsWorkOrderDetailsVo> devopsWorkOrderDetails(Integer id);
}
