package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.model.PatrolInspectionRecord;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.vo.CurrencyDroplistVo;
import com.bizmatics.model.vo.PatrolInspectionRecordDetailsVo;
import com.bizmatics.model.vo.PatrolInspectionRecordVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2021-10-20
 */
public interface PatrolInspectionRecordService extends CrudService<PatrolInspectionRecord> {

    CommonPage<PatrolInspectionRecordVo> patrolInspectionRecordList(Integer inspectionSchemeId, Integer siteId, Integer size, Integer current);

    List<PatrolInspectionRecordDetailsVo> patrolInspectionRecordDetails(Integer id);

    List<CurrencyDroplistVo> patrolInspectionRecordSiteDroplist();

    List<CurrencyDroplistVo> patrolInspectionRecordPlanDroplist();
}
