package com.bizmatics.controller.web;

import com.bizmatics.service.job.RatAnalogTask;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * @author yq
 * @date 2021/8/25 15:37
 */
@RestController
public class JobController {

    @Autowired
    public RatAnalogTask ratAnalogTask;

    @RequestMapping("addHadJobByDate")
    public void addHadJobByDate(@RequestParam(required = false) Date startTime,
                                @RequestParam(required = false) Date endTime){
        ratAnalogTask.addHadJobByDate(startTime,endTime);
    }
}
