package com.bizmatics.service;

import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.DeviceAttribute;
import com.bizmatics.model.vo.DeviceAttributeVo;
import com.bizmatics.model.vo.MonitorDeviceListVO;

import java.util.List;

/**
 * <p>
 * 设备属性 服务类
 * </p>
 *
 * @author ya
 * @since 2021-09-24
 */
public interface DeviceAttributeService extends CrudService<DeviceAttribute> {

    void deviceNewsAdd(DeviceAttribute deviceAttribute);

    void deviceNewsUpdate(DeviceAttribute deviceAttribute);

    List<DeviceAttribute> deviceNewsList(int id, int siteId);

    void deviceNewsDel(int id);

    List<MonitorDeviceListVO> monitorDeviceList(String siteName);
}
