package com.bizmatics.service;

import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.PlatformArea;
import com.bizmatics.model.vo.DeviceVo;
import com.bizmatics.model.vo.PlatformAreaVo;
import com.bizmatics.model.vo.SiteDeviceList;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ya
 * @since 2021-09-29
 */
public interface PlatformAreaService extends CrudService<PlatformArea> {
    void platformAreaAdd(PlatformArea platformArea);

    void platformAreaUpdate(PlatformArea platformArea);

    List<Map<String, Object>> platformAreaList(int id);

    List<PlatformAreaVo> platformAreaListOne(String platformAreaName);

    void platformAreaDel(int id);

    List<SiteDeviceList> siteDeviceList(int stationAreaId);

    void siteDeviceUpdate(DeviceVo deviceVo);

    void siteDeviceDel(int deviceId, int deviceAttributeId);
}
